/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\quests\kill quests\Tokuno Quest\Part 2 Alchemy Woes\conversations.cs
Lines of code: 58
***********************************************************/


using System;
using Server;

namespace Server.Engines.Quests.AlchemyWoesKillQuest
{
	public class DontOfferConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return "You should finish your other quest first before talking to me.";
			}
		}

		public override bool Logged{ get{ return false; } }

		public DontOfferConversation()
		{
		}
	}

	public class AcceptConversation : QuestConversation
	{
	
		public override object Message
		{
			get
			{				
				return "Great! Now I won't have to wait for my escort and get on with my alchemy! Head over to the Hotaka Plains. Surely you know where it is. No? Well hop into the moongate to Isamu-Jima and you're right there! Only kill the ninjas in the plains though. I'm not interested in killing off the ninjas that aren't near my house. Watch out, they're rather sneaky and tend to pop out and attack you.<br>I'll wait here for safety reasons. When the ninjas are killed off, come find me.";
			}
		}

		public AcceptConversation()
		{
		}

		public override void OnRead()
		{
			KillObjective ko = new KillObjective();
			
			QuestKillEntry entry1 = new QuestKillEntry("EliteNinja","Elite Ninjas in the Hotaka Plains", 7);
			entry1.AddLocation(new Rectangle2D(new Point2D(887,717),new Point2D(1432,1114)),Map.Tokuno);
			
			ko.AddQKE(entry1);
			System.AddObjective( ko );
			
			System.ShowQuestLogUpdated();
		}
	}

	
	
	public class EndConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return "Perfect! Thank you so much for killing off those nuissances! Here's a bag of treasure for you. If you're interested, my brother Haro could use your services. He owns a ranch in Beetlescape. Bring him this whip, he'll know it's from me.";
			}
		}

		public EndConversation()
		{
		}

		public override void OnRead()
		{
			AlchemyWoesKillQuest.GiveRewardTo( System.From );
		}
	}		
	
	
}